"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const node_1 = require("../node");
test("that the default syncPython has the PYTHONHOME", async () => {
    const { exec, repr } = await (0, node_1.syncPython)();
    exec("import os");
    expect(repr("os.environ.get('PYTHONHOME')")).toBe("'/usr'");
});
test("that the default asyncPython has the PYTHONHOME", async () => {
    const { exec, repr, kernel } = await (0, node_1.asyncPython)();
    await exec("import os");
    expect(await repr("os.environ.get('PYTHONHOME')")).toBe("'/usr'");
    await kernel.terminate();
});
test("also confirm that some interesting packages are installed", async () => {
    const { exec } = await (0, node_1.syncPython)();
    exec("import pandas, sympy");
}, 15000);
//# sourceMappingURL=home.test.js.map