"use strict";
// I wrote this in packages/util/misc in cocalc and copied it here.  -- William Stein
Object.defineProperty(exports, "__esModule", { value: true });
exports.bind_methods = void 0;
// Get *all* methods of an object (including from base classes!).
// See https://flaviocopes.com/how-to-list-object-methods-javascript/
// This is used by bind_methods below to bind all methods
// of an instance of an object, all the way up the
// prototype chain, just to be 100% sure!
function get_methods(obj) {
    let properties = new Set();
    let current_obj = obj;
    do {
        Object.getOwnPropertyNames(current_obj).map((item) => properties.add(item));
    } while ((current_obj = Object.getPrototypeOf(current_obj)));
    return [...properties.keys()].filter((item) => typeof obj[item] === "function");
}
// Bind all or specified methods of the object.  If method_names
// is not given, binds **all** methods.
// For example, in a base class constructor, you can do
//       bind_methods(this);
// and every method will always be bound even for derived classes
// (assuming they call super if they overload the constructor!).
// Do this for classes that don't get created in a tight inner
// loop and for which you want 'safer' semantics.
function bind_methods(obj, method_names = undefined) {
    if (method_names === undefined) {
        method_names = get_methods(obj);
        method_names.splice(method_names.indexOf("constructor"), 1);
    }
    for (const method_name of method_names) {
        obj[method_name] = obj[method_name].bind(obj);
    }
    return obj;
}
exports.bind_methods = bind_methods;
//# sourceMappingURL=util.js.map